Retrieve accounts with a set flag state
curl --request GET \
--url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"portalFlagStates": [
{
"appId": 123,
"flagName": "<string>",
"portalId": 123
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Estados de indicador del portal
Retrieve accounts with a set flag state
Retrieve a list of HubSpot accounts with an account-level flag setting for the specified app. No request body is included.
GET
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
Retrieve accounts with a set flag state
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de consulta
The maximum number of results to display per page.
Respuesta
successful operation
Show child attributes
Show child attributes
Última modificación el 3 de abril de 2026
⌘I